> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import sessions from intercom

> Import sessions from intercom.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /sessions/importer/intercom
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /sessions/importer/intercom:
    post:
      tags:
        - Session
      summary: Import sessions from intercom
      description: Import sessions from intercom.
      operationId: ImportSessionIntercom
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportIntercomSessionDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items: {}
                type: array
      security:
        - jwt: []
components:
  schemas:
    ImportIntercomSessionDto:
      properties:
        endpoint:
          type: string
        apiKey:
          type: string
      required:
        - endpoint
        - apiKey
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````